/* include/config.h.  Generated automatically by configure.  */
/*  $Revision: 1.30.2.1 $
**
**  Here be configuration data used by various InterNetNews programs.
**  The numbers refer to sections in the config.dist file.
*/

#ifndef __CONFIG_H__
#define __CONFIG_H__ 

/* Change to fork() if your vfork() is broken */
#define FORK() vfork()

/* Define vfork to be fork if vfork is not available or broken */
/* #undef vfork */

/* Define if you have ANSI C headers */
#define STDC_HEADERS 1

/* Define if you have unix domain sockets */
#define HAVE_UNIX_DOMAIN_SOCKETS 1

/* Define if you have <dirent.h> */
#define HAVE_DIRENT_H 1 

/* Define if your 'struct stat' has a 'st_blksize' member */
#define HAVE_ST_BLKSIZE 1

/* Define if your 'struct tm' has a 'tm_gmtoff' member */
#define HAVE_TM_GMTOFF 1

/* Define one of the following locking methods */
#define HAVE_FLOCK 1
#define HAVE_LOCKF 1
#define HAVE_FCNTL 1

/* Define one of the following for 'close on exec' */
#define CLX_FCNTL 1
/* #undef CLX_IOCTL */

/* Define one of the following for Non-Blocking I/O Style */
#define NBIO_FCNTL 1
/* #undef NBIO_IOCTL */

/* Define if you have msync() with 3 args */
#define HAVE_MSYNC_3_ARG 1

/* Define if you have 'union wait' */
#define HAVE_UNION_WAIT 1

/* Define if you have <wait.h> */
#define HAVE_WAIT_H 1

/* Define if you have <string.h> */
#define HAVE_STRING_H 1 

/* Define if you have <memory.h> */
#define HAVE_MEMORY_H 1 

/* Define if you have <varargs.h> */
#define HAVE_VARARGS_H 1 

/* Define if you have <stdarg.h> */
#define HAVE_STDARG_H 1

/* Define if you have <unistd.h> */
#define HAVE_UNISTD_H 1

/* Define if you have <vfork.h> */
/* #undef HAVE_VFORK_H */

/* Define if you have <limits.h> */
#define HAVE_LIMITS_H 1

/* Define if you have <getopt.h> */
#define HAVE_GETOPT_H 1

/* Define if you have a working `mmap' system call.  */
#define HAVE_MMAP 1

/* Define if you have a working `madvise' system call.  */
/* #undef HAVE_MADVISE */

/* Define if you have setbuffer() */
#define HAVE_SETBUFFER 1

/* Define if you have gettimeofday() */
#define HAVE_GETTIMEOFDAY 1

/* Define if you have fchmod() */
#define HAVE_FCHMOD 1

/* Define if you have setproctitle() */
/* #undef HAVE_SETPROCTITLE */

/* Define if you have setsid() */
#define HAVE_SETSID 1

/* Define if you have waitpid() */
#define HAVE_WAITPID 1

/* Define if you have symlink() */
#define HAVE_SYMLINK 1

/* Define if you have socketpair() */
#define HAVE_SOCKETPAIR 1

/* Define if you have getpagesize() */
#define HAVE_GETPAGESIZE 1

/* Define if you have statvfs() */
#define HAVE_STATVFS 1

/* Define if you have statfs() */
/* #undef HAVE_STATFS */

/* Define if you have sys/vfs.h */
/* #undef HAVE_SYS_VFS_H */

/* Define if you have sys/param.h */
/* #undef HAVE_SYS_PARAM_H */

/* Define if you have sys/mount.h */
/* #undef HAVE_SYS_MOUNT_H */

/* Define if you have getspnam() */
#define HAVE_GETSPNAM 1

/* Define if you have sys/sysinfo.h */
#define HAVE_SYS_SYSINFO_H 1

/* if I understand how configure does this, if 'const' isn't valid, 
 * it will remove the 'const' declarations from the typedef's below 
 * <scrappy@hub.org 
 */
typedef char const      *STRING;
typedef char * const    CSTRING;

#if defined(STDC_HEADERS) 
# if defined(HAVE_STDARG_H)
#  define VAR_STDARGS 1
# else
#  if defined(HAVE_VARARGS_H)
#   define VAR_VARARGS 1
#  else
#   define VAR_NONE 1
#  endif
# endif
#else
# if defined(HAVE_VARARGS_H)
#  define VAR_VARARGS 1
# else
#  define VAR_NONE
# endif
#endif

#define NEWSMASTER	"usenet"
#define NEWSUSER	"news"
#define NEWSGRP		"news"
#define NEWSGID		"news"
#define PATHMASTER	"not-for-mail"

/* Syslog Related Settings */
/* Facility innd should log under. */
#define FACILITY_NEWS 1
#ifdef FACILITY_NEWS
# define LOG_FACILITY	LOG_NEWS
#else
# define LOG_FACILITY	LOG_LOCAL1
#endif

#define LOG_INN_SERVER		LOG_FACILITY

/* Facility all other programs should log under. */
#define LOG_INN_PROG		LOG_FACILITY

/* Flags to use in opening the logs; some programs add LOG_PID. */
#define L_OPENLOG_FLAGS		(LOG_CONS | LOG_NDELAY)

/* Fatal error, program is about to exit. */
#define L_FATAL			LOG_CRIT

/* Log an error that might mean one or more articles get lost. */
#define L_ERROR			LOG_ERR

/* Informational notice, usually not worth caring about. */
#define L_NOTICE		LOG_WARNING

/* A protocol trace. */
#define L_TRACE			LOG_DEBUG

/* All incoming control commands (ctlinnd, etc). */
#define L_CC_CMD		LOG_INFO

/* Default File Permissions */
/* Umask to set...if value here changed, be sure to check the value set
 * in samples/innshellvars.* 
 */
#define NEWSUMASK       02      
/* Mode that incoming articles are created under. */
#define ARTFILE_MODE    0664
/* Mode that batch files are created under. */
#define BATCHFILE_MODE  0664
/* Mode that directories are created under. */
#define GROUPDIR_MODE   0775


#endif /* __CONFIG_H__ */
